## RygelMusicItem

RygelMusicItem — Represents a music item.

## Functions

void | rygel_music_item_lookup_album_art ()
RygelMusicItem * | rygel_music_item_new ()
gint | rygel_music_item_get_track_number ()
void | rygel_music_item_set_track_number ()
RygelThumbnail * | rygel_music_item_get_album_art ()
void | rygel_music_item_set_album_art ()

## Properties

RygelThumbnail * | album-art | Read / Write
gint | track-number | Read / Write

## Types and Values

#define | RYGEL_TYPE_MUSIC_ITEM
#define | RYGEL_MUSIC_ITEM_UPNP_CLASS
struct | RygelMusicItem
struct | RygelMusicItemClass

## Object Hierarchy

        GObject
        ╰── RygelMediaObject
            ╰── RygelMediaItem
                ╰── RygelMediaFileItem
                    ╰── RygelAudioItem
                        ╰── RygelMusicItem

## Description

## Functions

### rygel_music_item_lookup_album_art ()

    void
    rygel_music_item_lookup_album_art (RygelMusicItem *self);

#### Parameters

self | the RygelMusicItem instance |

### rygel_music_item_new ()

    RygelMusicItem *
    rygel_music_item_new (const gchar *id,
                          RygelMediaContainer *parent,
                          const gchar *title,
                          const gchar *upnp_class);

#### Parameters

id |  |
parent |  |
title |  |
upnp_class |  |

### rygel_music_item_get_track_number ()

    gint
    rygel_music_item_get_track_number (RygelMusicItem *self);

Get and return the current value of the "track-number" property.

#### Parameters

self | the RygelMusicItem instance to query |

#### Returns

the value of the "track-number" property

### rygel_music_item_set_track_number ()

    void
    rygel_music_item_set_track_number (RygelMusicItem *self,
                                       gint value);

Set the value of the "track-number" property to `value` .

#### Parameters

self | the RygelMusicItem instance to modify |
value | the new value of the "track-number" property |

### rygel_music_item_get_album_art ()

    RygelThumbnail *
    rygel_music_item_get_album_art (RygelMusicItem *self);

Get and return the current value of the "album-art" property.

#### Parameters

self | the RygelMusicItem instance to query |

#### Returns

the value of the "album-art" property

### rygel_music_item_set_album_art ()

    void
    rygel_music_item_set_album_art (RygelMusicItem *self,
                                    RygelThumbnail *value);

Set the value of the "album-art" property to `value` .

#### Parameters

self | the RygelMusicItem instance to modify |
value | the new value of the "album-art" property |

## Types and Values

### RYGEL_TYPE_MUSIC_ITEM

    #define RYGEL_TYPE_MUSIC_ITEM (rygel_music_item_get_type ())

The type for RygelMusicItem.

### RYGEL_MUSIC_ITEM_UPNP_CLASS

    #define RYGEL_MUSIC_ITEM_UPNP_CLASS "object.item.audioItem.musicTrack"

### struct RygelMusicItem

    struct RygelMusicItem;

Represents a music item.

### struct RygelMusicItemClass

    struct RygelMusicItemClass {
    	RygelAudioItemClass parent_class;
    };

The class structure for `RYGEL_TYPE_MUSIC_ITEM`. All the fields in this structure are private and should never be accessed directly.

#### Members

## Property Details

### The `“album-art”` property

      “album-art”                RygelThumbnail *

album-art.

Flags: Read / Write

### The `“track-number”` property

      “track-number”             gint

track-number.

Flags: Read / Write

Default value: -1